#!/usr/bin/perl

# $Id:  $
# Copyright (c) 2013 Network Appliance, Inc.
# All rights reserved.

package Text;

use strict;

=head1 NAME

Text - Text routines.

=head1 DESCRIPTION

Text - Text routines.


=head1 SUBROUTINES

=over 4

=item B<trim>

    Function   : Function to remove whitespaces before and after a string.
    Returns    : The string with whitespace removed.

=cut
sub trim($) {
    my $string = shift;
    $string =~ s/^\s+//;
    $string =~ s/\s+$//;
    return $string;
}


=back

=cut

1; # so the require or use succeeds
