#!/bin/bash

# $Id:  $
# Copyright (c) 2013 Network Appliance, Inc.
# All rights reserved.

. /home/maint/scripts/commonfunctions.sh

# Switch the timezone of the OS by reconfiguring timezone.
# It is necessary to stop mysql, ocie, ocieau services before changing the timezone
# So that the logs will reflect the new time.

echo "The current system time is: `date`"
echo
while [[ 1 ]]
do
    read -r -p "Do you wish to continue? (y/n):" answer
    if [ "$answer" == "n" ]  || [ "$answer" == "N" ]; then
        echo
        echo "Time zone change cancelled."
        echo
        exit
    fi
    if [ "$answer" == "y" ]  || [ "$answer" == "Y" ]; then
        break
    fi
done
echo
#stopVP
#echo
#if [[ ${servicestop} -eq 1 ]]; then
    mv /etc/timezone /etc/timezone.`date "+%Y-%m-%d_%H:%M"`
    dpkg-reconfigure -f teletype tzdata
    echo "Time zone changed successfully.  Time is now `date +'%H:%M:%S %z'`"
#fi
#echo
echo
exit
#startVP
#if [[ ${servicestart} -ne 1 ]]; then
#    echo
#    read -n1 -p "Press ENTER to continue." anykey
#    echo
#    exit
#fi

