#!/bin/bash
#####################################################
. /home/maint/scripts/commonfunctions.sh


# Make sure that we trap any control characters so that the user
# does not have access to the shell.
trap logOut 1 2 3 4 5 6 9 11 15

#
#Warn user that this process will bring down the application
#
echo
echo "Shutting down the virtual machine will stop services."
echo "The virtual machine will not automatically restart."
echo

read -r -p "Do you wish to continue? (y/n):" answer
if [ "$answer" != "y" ]
then
    exit 1
fi


/sbin/shutdown -h now

# Done
####################################################
